#define TEXTWIDTH 80

#define TLC1	201
#define TRC1	187
#define BLC1	200
#define BRC1	188
#define TOP1	205
#define SIDE1	186

#define KEYUP 72
#define KEYDOWN 80
#define KEYLEFT 75
#define KEYRIGHT 77
#define ENTER  13
#define ESC 27
#define END 79
#define HOME 71
#define PGUP 73
#define PGDOWN 81
#define F1 0x3b
#define F2 0x3c
#define F3 0x3d
#define F4 0x3e
#define F5 0x3f
#define F6 0x40
#define F7 0x41
#define F8 0x42
#define F9 0x43
#define F10 0x44
#define F11 0x85
#define F12 0x86

#define ISDIR 11
#define ISFILE 15
#define ISDRIVE 3
#define NOTFOUND 0


#define lesser(a,b) ( (a) < (b) ? (a) : (b))

typedef struct
{ int x1,y1,x2,y2;
  short int colour;
  int OldSelPos;
  int SelPos;
}menu;

typedef struct
{ char **data;
  int *flag;
  int Xmax,Ymax,Xpos,Ypos;
}dialog;


void Box(short *TextVid,int x1,int y1,int x2,int y2,short int ch);

void DrawMenu(short *TextVid,menu *m);

void ClearMenu(short *TextVid, menu *m);

void DrawSelPos(short *TextVid,menu *m);

void ClearScreen(short *TextVid);

void TextOut(short *TextVid,menu *m,char *txt,int col,
		   int t_xpos,int ypos,int txtlen);

void WriteDialog(short *TextVid,menu *m,dialog *d);

void HideCursor(void);

int GetNoFiles(char *mask,int attrib);

int GetNoDisks(void);

int DirFile(char *name);

int CheckDiskReady(int drive);

dialog *MakeDirDialog(dialog *d,int,int,int);

char *FileSelector(short *TextVid);

int patmat(char *raw,char *pat);

void EEmain(char *argv);

void GetUserCommand(short *TextVid,char *text);



