#include "dirc.h"
#include <mikmod.h>
#include <string.h>

void StopMod(UNIMOD *mf);

int WasteTime(short *TextVid,UNIMOD *mf)
{
menu m;
menu m2,m3;
char str[6];
char songname[31];
memset(str,0,6);
memset(songname,0,31);
strcpy(songname,mf->songname);
m.x1 = 38;m.y1 = 0;m.x2 = 79;m.y2 = 24;

m2.x1 = 40;m2.y1 = 20;m2.x2 = 77;m2.y2 = 23;
m3.x1 = 42;m2.y1 = 21;m2.x2 = 75;m2.y2 = 22;

m.colour = mp_patpos%16;
m2.colour = mp_patpos + 4;
m3.colour = mp_patpos + 3;
m.SelPos =0;

//ClearMenu(TextVid,&m);

DrawMenu(TextVid,&m);
DrawMenu(TextVid,&m2);
//DrawMenu(TextVid,&m3);
TextOut(TextVid,&m,songname,10,0,1,30);
TextOut(TextVid,&m,"SONG POSITION ",14,0,2,13);
TextOut(TextVid,&m,itoa(mp_sngpos,str,10),12,0,3,6);
TextOut(TextVid,&m,"PATTERN POSITION ",14,0,4,16);
TextOut(TextVid,&m,itoa(mp_patpos,str,10),12,0,5,6);
TextOut(TextVid,&m,"SONG SPEED ",14,0,6,10);
TextOut(TextVid,&m,itoa(mp_sngspd,str,10),12,0,7,6);
TextOut(TextVid,&m,"BPM ",14,0,8,3);
TextOut(TextVid,&m,itoa(mp_bpm,str,10),12,0,9,6);
TextOut(TextVid,&m,"VOLUME ",14,0,10,6);
TextOut(TextVid,&m,itoa(mp_volume,str,10),12,0,11,6);
if(mp_loop)
TextOut(TextVid,&m,"LOOP ON  ",10,0,12,8);
else
TextOut(TextVid,&m,"LOOP OFF ",10,0,12,8);
TextOut(TextVid,&m,"HELP:",14,0,14,5);
TextOut(TextVid,&m,"VOL +/-: UP/DOWN",12,0,15,16);
TextOut(TextVid,&m,"PAT +/-: PGUP/PGDOWN",12,0,16,20);
TextOut(TextVid,&m,"TOGGLE LOOP: ENTER",12,0,17,18);
TextOut(TextVid,&m,"STOP: ESC",12,0,18,9);
}

void tickhandler(void)
{
	MP_HandleTick();    /* play 1 tick of the module */
	MD_SetBPM(mp_bpm);
}

int InitShit(void)
{
	int i = 1;
	md_mixfreq	=44100; 		    /* standard mixing freq */
	md_dmabufsize	=10000; 		    /* standard dma buf size */
	md_mode 	=DMODE_16BITS|DMODE_STEREO; /* standard mixing mode */
	md_device	=0;							/* standard device: autodetect */

	ML_RegisterLoader(&load_m15);	 /* if you use m15load, register it as first! */
	ML_RegisterLoader(&load_mod);
	ML_RegisterLoader(&load_mtm);
	ML_RegisterLoader(&load_s3m);
	ML_RegisterLoader(&load_stm);
	ML_RegisterLoader(&load_ult);
	ML_RegisterLoader(&load_uni);
	ML_RegisterLoader(&load_xm);

	MD_RegisterDriver(&drv_nos);
	MD_RegisterDriver(&drv_sb);
	MD_RegisterDriver(&drv_gus);

	MD_RegisterPlayer(tickhandler);

	while(i){
	if(!MD_Init())
	{
		return 0;
	}
	i--;}
	return 1;
}



int PlayMod(UNIMOD *mf,char *name,short *TextVid)
{
		int j;
		menu m;
		m.x1 = 38;m.y1 = 0;m.x2 = 79;m.y2 = 24;
		ClearMenu(TextVid,&m);
		mf=ML_LoadFN(name);
		if(mf==NULL){
		  return 0;
		}
		MP_Init(mf);
		md_numchn=mf->numchn;
		MD_PlayStart();
		while(!MP_Ready())
		{
		if(kbhit()){
		  j = getch();
		  switch(j)
		  {
		  case ESC: StopMod(mf);
			       return 1;
		  case KEYUP: mp_volume += 1;
			      if(mp_volume > 100)mp_volume = 100;
			      break;
		  case KEYDOWN: mp_volume -= 1;
				if(mp_volume > 100)mp_volume = 0;
				break;
		  case PGUP: MP_PrevPosition();break;
		  case PGDOWN: MP_NextPosition();break;
		  case ENTER : if(mp_loop == 0)mp_loop = 1;
			       else mp_loop = 0;
			       break;
		  }
			  }
		MD_Update();

		WasteTime(TextVid,mf);
		//delay(30);
		}
 StopMod(mf);
 return 1;
}

void StopMod(UNIMOD *mf)
{
    MD_PlayStop();	    /* stop playing */
    ML_Free(mf);	    /* and free the module */
}


int QuitMod(UNIMOD *mf)
{
    MD_Exit();
    return 0;
}

